const React = require('react');
const {renderToStaticMarkup: render} = require('react-dom/server');
const Mark = require('react-mark-ii@2.0.0').default;

const text = `*bold* _emphasis_ ~strike~

\`this is code, *marks* are _ignored_ ~here~\`

*foo _bar* baz_
_foo_bar_baz_
*foo_bar_baz*
*foo _bar_ baz*

`;
const codeBlock = 'some text ```code block``` more text';

render(
    <Mark style={{whiteSpace: 'pre'}}>
        {text}
        {codeBlock}
    </Mark>
);;

